
import type { EzResult } from "./EzApiBaseTypes";
import axios from "axios";

  /** 获取DFlFunInfo列表 */
  export const GetTransferOrder=(data:Request) => {


    return axios.post<EzResult<RetPageDataWeChatTransferOrder>>("https://yocaisim.51zhengcai.com/api/UserTransfer/GetTransferOrder", data);
  };

/**
 * SSPageByWhereOrder，根据where查询条件和order排序获取列表
 */
export interface Request {
  order?: SSOrder;
  page?: PageModel;
  /**
   * 判断条件 必须是json格式的字符串{xxx:ddd}
   */
  where?: object | string;
}

/**
* SSOrder，排序方式
*/
export interface SSOrder {
  des?: OrderByType;
  /**
   * 属性名称
   */
  name?: null | string;
}

/**
* OrderByType
*/
export enum OrderByType {
  Asc = "Asc",
  Desc = "Desc",
}

/**
* PageModel
*/
export interface PageModel {
  pageIndex?: number;
  pageSize?: number;
  totalCount?: number;
}


/**
* RetPageData_WeChatTransferOrder，通用返回参数
*/
export interface RetPageDataWeChatTransferOrder {
  /**
   * 数据
   */
  data?: WeChatTransferOrder[] | null;
  page?: PageModel;
}

/**
* WeChatTransferOrder，转账单账模型
*/
export interface WeChatTransferOrder {
  /**
   * 重新支付订单列表
   */
  agWeChatTransferOrders?: WeChatTransferOrder[] | null;
  /**
   * 获取或设置微信批次单号。
   */
  batchId?: null | string;
  /**
   * 获取或设置批次的名称。
   * 示例: "2019年1月深圳分部报销单"
   */
  batchName?: null | string;
  /**
   * 获取或设置批次的备注。
   * 示例: "2019年1月深圳分部报销单"
   */
  batchRemark?: null | string;
  /**
   * 获取或设置批次状态。
   */
  batchStatus?: null | string;
  /**
   * 获取或设置关闭批次的原因。
   * 示例: "OVERDUE_CLOSE"
   */
  closeReason?: null | string;
  /**
   * 创建人
   */
  createBy?: null | string;
  /**
   * 创建时间
   */
  createTime?: Date | null;
  /**
   * 错误标识
   */
  errorCode?: null | string;

  /**
   * 错误消息
   */
  errorMsg?: null | string;
  /**
   * 获取或设置批次中的失败总金额。
   * 示例: 100000
   */
  failAmount?: number | null;
  /**
   * 获取或设置批次中的失败项目数。
   * 示例: 1
   */
  failNum?: number | null;
  /**
   * ID
   */
  id?: number;
  /**
   * 是否删除
   */
  isDeleted?: boolean;
  /**
   * 是否有效
   */
  isEn?: boolean;
  /**
   * 是否已经完成处理  默认未处理
   */
  isSetOK?: boolean;
  /**
   * 获取或设置商户批次单号。
   */
  outBatchNumber?: null | string;
  /**
   * 标注
   */
  remake?: null | string;
  /**
   * 再次发起时 的描述
   */
  remakeDes?: null | string;
  /**
   * 排序
   */
  sort?: number | null;
  /**
   * 获取或设置批次中的成功总金额。
   * 示例: 3900000
   */
  successAmount?: number | null;
  /**
   * 获取或设置批次中的成功项目数。
   * 示例: 199
   */
  successNum?: number | null;
  /**
   * 租户
   */
  tenantID?: number | null;
  /**
   * 获取或设置批次中的总金额。
   * 示例: 4000000
   */
  totalAmount?: number | null;
  /**
   * 获取或设置批次中的项目总数。
   * 示例: 200
   */
  totalNum?: number | null;

  /**
   * 获取或设置转账场景标识符。
   * 示例: "1000"
   */
  transferSceneId?: null | string;
  /**
   * 修改人
   */
  upDataBy?: null | string;
  /**时间筛选数组 */
  DataTime?:Date[]|string;
  /**
   * 修改时间
   */
  upDataTime?: string | null;

  /**
   * 用户ID。
   */
  userID?: number;
  /**
   * 用户身份证
   */
  userIDCode?: null | string;
  /**
   * 名字
   */
  userName?: null | string;
  /**
   * 是否重新发起支付，当支付失败后，超出重新的支付单失败后，需要重新更换单号重新发起新的支付请求，重新发起支付请求单
   */
  weChatTransferOrderPrId?: number | null;

  YiTiXianGz?:number

   ZhongGz?:number
   itCode?:string|null
}




